package net.woodyfolsom.cs6601.p2;

import java.util.List;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("head")
public class RecipeHead {

	private String title;
	private String source;
	
	private List<String> categories;
	
	public String getSource() {
		return source;
	}
	
	public String getTitle() {
		return title;
	}
	
	public boolean isCategoryMatch(String catName) {
		return categories.contains(catName);
	}
}
